Bug 468272 - hp 1500 sends millions of error messages; hplip-gui actually doesn't work [NEEDINFO]
hp 1500 sends millions of error messages; hplip-gui actually doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 16:20 EDT by Dawid Pietrala
Modified: 2009-12-18 01:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twaugh: needinfo? (dafydd)


Attachments (Terms of Use)
messages.part (10.45 KB, application/octet-stream)
2008-10-23 16:20 EDT, Dawid Pietrala
no flags Details

  None (edit)
Description Dawid Pietrala 2008-10-23 16:20:51 EDT
Created attachment 321340 [details]
messages.part

Description of problem:

i have an hp 1500 psc series printer. it works fine if i want to print something but if i switch it off, my kernel keeps trying to connect with it, which results in a great number of error messages. as a result, after two weeks my /var/log/messages filled the whole space in /, which resulted in inability to work.

the message it keeps sending is:

Oct 23 21:59:02 teru python: hp-toolbox(UI)[2968]: error: Unable to communicate with device (code=12): hp:/usb/PSC_1500_series?serial=MY58GD90JJ0498
Oct 23 21:59:02 teru python: hp-toolbox(UI)[2968]: warning: Device not found
Oct 23 21:59:07 teru PSC_1500_series?serial=MY58GD90JJ0498: io/hpmud/musb.c 1058: unable to open hp:/usb/PSC_1500_series?serial=MY58GD90JJ0498
Oct 23 21:59:07 teru PSC_1500_series?serial=MY58GD90JJ0498: prnt/backend/hp.c 675: INFO: open device failed; will retry in 30 seconds...
Oct 23 21:59:37 teru python: hp-toolbox(UI)[2968]: error: Could not open the CUPS error_log file: /var/log/cups/error_log
Oct 23 21:59:37 teru PSC_1500_series?serial=MY58GD90JJ0498: io/hpmud/musb.c 1058: unable to open hp:/usb/PSC_1500_series?serial=MY58GD90JJ0498
Oct 23 21:59:37 teru PSC_1500_series?serial=MY58GD90JJ0498: prnt/backend/hp.c 675: INFO: open device failed; will retry in 30 seconds...
Oct 23 22:00:08 teru PSC_1500_series?serial=MY58GD90JJ0498: io/hpmud/musb.c 1058: unable to open hp:/usb/PSC_1500_series?serial=MY58GD90JJ0498
Oct 23 22:00:08 teru PSC_1500_series?serial=MY58GD90JJ0498: prnt/backend/hp.c 675: INFO: open device failed; will retry in 30 seconds...

what's important "Enable device auto refresh" is disabled.

it has one job in a queue and i can't cancel it. it sends error messages whenever i want to change anything via hplip-gui. a part of my /var/log/messages is attached.

Version-Release number of selected component (if applicable):

libsane-hpaio-2.8.7-3.fc10.i386
hplip-2.8.7-3.fc10.i386
hplip-libs-2.8.7-3.fc10.i386
hpijs-2.8.7-3.fc10.i386
hplip-gui-2.8.7-3.fc10.i386

How reproducible:

always
Comment 1 Tim Waugh 2008-10-30 08:05:19 EDT
Please run the printing troubleshooter, System->Administration->Printing, then Help->Troubleshoot, and attach the resulting troubleshoot.txt file to this bug report.  Thanks.
Comment 2 Bug Zapper 2008-11-25 23:10:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:38:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:38:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.